package x64

import "git.akyoto.dev/cli/q/src/build/cpu"

// MulRegisterNumber multiplies a register with a number.
func MulRegisterNumber(code []byte, destination cpu.Register, number int) []byte {
	return regRegNum(code, byte(destination), byte(destination), number, 0x6B, 0x69)
}

// MulRegisterRegister multiplies a register with another register.
func MulRegisterRegister(code []byte, destination cpu.Register, operand cpu.Register) []byte {
	return regReg(code, byte(destination), byte(operand), 0x0F, 0xAF)
}
