package build

import (
	"git.akyoto.dev/cli/q/src/build/cpu"
	"git.akyoto.dev/cli/q/src/build/expression"
)

// Variable represents a named register.
type Variable struct {
	Name     string
	Register cpu.Register
	Alive    int
}

// Definitions are single use expressions that don't reside in a register yet.
type Definition struct {
	Name  string
	Value *expression.Expression
}
